Skip to main content

Create Device Scheduled Power Action

POST 

/v1/device/:deviceUid/scheduled-power-action

Set device scheduled power action by deviceUid.

Schedule new power action.

  • APP_RESTART – Restart APP on the display and clear HTML caches;
  • SYSTEM_REBOOT – Restart device
  • APPLET_RELOAD – Hard reload of saved content and files
  • APPLET_REFRESH – Soft refresh of the applet (like F5)
  • DISPLAY_POWER_ON – turn on display (not chip)
  • DISPLAY_POWER_OFF – Turn off the display (not chip)
  • APPLET_DISABLE – Disable applet for the current session and show basic device info
  • APPLET_ENABLE – Enable applet again for the current session and show current applet

Parameters

FieldTypeRequiredDescription
deviceUidstringrequiredUnique Device Identification

Body

content-type: application/json or application/x-www-form-urlencoded

FieldTypeDescription
powerActionstring ‘APP_RESTART’ ‘SYSTEM_REBOOT’ ‘APPLET_RELOAD’ ‘APPLET_REFRESH’ ‘DISPLAY_POWER_ON’ ‘DISPLAY_POWER_OFF’ ‘APPLET_DISABLE’ ‘APPLET_ENABLE’the Power action type, UPPERCASE
weekdays (weekdays[0] - for x-www-form-urlencoded)string[] ‘MONDAY’ ‘TUESDAY’ ‘WEDNESDAY’ ‘THURSDAY’ ‘FRIDAY’ ‘SATURDAY’ ‘SUNDAY’List of weekdays when the power action should be triggered, UPPERCASE
timestring - HH:MM:SSTime in 24 hour format, when the power action should be triggered

Request

Responses

OK

Response Headers
    Content-Type
    Link

    Contains URL pointing to the result of this action. Keep making requests to this URL, until the response indicates, that the action was processed. For more information, refer to endpoint Get Device History.